require "SUFVWeaponTable"
for weaponname,siltype in pairs(SUFVsilencerWeaponTable) do
	local item = ScriptManager.instance:getItem(weaponname)
	if item then 
		if siltype == 0 then
			item:DoParam("ModelWeaponPart = Base.PBS1suppressor Base.PBS1suppressor muzzle muzzle")
		elseif siltype == 1 then
			item:DoParam("ModelWeaponPart = Base.PBS4suppressor Base.PBS4suppressor muzzle muzzle")
		elseif siltype == 2 then
			item:DoParam("ModelWeaponPart = Base.APBsuppressor Base.APBsuppressor muzzle muzzle")
		end
	end
end